experimental
List cross-service edges.
List cross-service edges.
GET
/
v0
/
experimental
/
edges
List cross-service edges.
curl --request GET \
--url https://{hostname}.gable.ai/v0/experimental/edges \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/experimental/edges"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/experimental/edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edges": [
{
"source": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"destination": {
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_name": "<string>",
"payload_name": "<string>",
"kind": "<string>",
"xgress_id": "<string>"
},
"field_mappings": [
{
"source_field": "<string>",
"destination_field": "<string>",
"notes": "<string>"
}
],
"id": "<string>",
"kind": "cross_service",
"namespace": "<string>"
}
]
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Query Parameters
Optional namespace to scope returned edges.
Filter edges by source component name (case-insensitive substring match).
Filter edges by destination component name (case-insensitive substring match).
Response
Successful operation
Response containing a list of edge resources.
Show child attributes
Show child attributes
⌘I
List cross-service edges.
